package uca.baptistearthur.geocaching.recyclerview

import android.annotation.SuppressLint
import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import uca.baptistearthur.geocaching.R
import uca.baptistearthur.geocaching.model.RoadTrip


class RoadTripAdapter (val voyages: List<RoadTrip>) : RecyclerView.Adapter<RoadTripViewHolder>(){

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): RoadTripViewHolder {
        return RoadTripViewHolder(LayoutInflater.from(parent.context).inflate(R.layout.cell_one_roadtrip, parent, false))
    }

    @SuppressLint("SetTextI18n")
    override fun onBindViewHolder(holder: RoadTripViewHolder, position: Int) {
        holder.roadTripAccessButton.text = ">  " + voyages[position].name
    }
    override fun getItemCount(): Int = voyages.size
}